Subject: Re: linux-next: manual merge of the kvm-x86 tree with the tip tree

From: Sean Christopherson <[email-masked]>
Date: Thu, 9 Jan 2025 11:18:24 -0800

On Mon, Jan 06, 2025, Stephen Rothwell wrote:
> Hi all,
> 
> Today's linux-next merge of the kvm-x86 tree got a conflict in:
> 
>   arch/x86/kvm/cpuid.c
> 
> between commit:
> 
>   716f86b523d8 ("KVM: x86: Advertise SRSO_USER_KERNEL_NO to userspace")
> 
> from the tip tree and commits:
> 
>   ccf93de484a3 ("KVM: x86: Unpack F() CPUID feature flag macros to one flag per line of code")
>   3cc359ca29ad ("KVM: x86: Rename kvm_cpu_cap_mask() to kvm_cpu_cap_init()")
>   75c489e12d4b ("KVM: x86: Add a macro for features that are synthesized into boot_cpu_data")
>   871ac338ef55 ("KVM: x86: Use only local variables (no bitmask) to init kvm_cpu_caps")
> 
> from the kvm-x86 tree.
> 
> I fixed it up (I think - see below) and can carry the fix as
> necessary. 

Your resolution is good.  I'm impressed you were able to wade through the chaos :-)

Thanks much!